[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'FPimage' (#fcl)

# TFPCustomImage.GetInternalColor

Get RGBA pixel color.

## Declaration

Source position: fpimage.pp line 117

`protected function TFPCustomImage.GetInternalColor(`
`x: Integer;`
`y: Integer`
`):TFPColor; virtual;`

## Description

This is a virtual method that extracts the internal color representation into a TFPColor, shifting and expanding bits into a TFPColor. The default implementation obtains the RGBA color from the palette. When true RGBA or monochrome colors are stored as pixel data, this must be handled in derived classes.

The latest version of this document can be found at lazarus-ccr.sourceforge.net .